package com.gree.mall.contest.bean.manage;

import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.IsEnum;
import com.gree.mall.contest.enums.manage.SendObjEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class NotifyVO {

    @ZfireField(hide = true)
    @Schema(description = "id")
    private String id;

    @Schema(description = "标题")
    private String title;

    @Schema(description = "发送对象")
    private SendObjEnum sendObj;

    @Schema(description = "是否已发布")
    private IsEnum isSend;

    @Schema(description = "已读数量")
    private Integer readCount;

    @Schema(description = "创建人")
    private String createBy;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "发布人")
    private String sendBy;

    @Schema(description = "发布时间")
    private Date sendTime;

    @ZfireField(hide = true)
    @Schema(description = "状态 SAVE=保存 OK=发布")
    private String status;
}
