package com.gree.mall.contest.controller.pc.admin;

import com.gree.mall.contest.bean.admin.AdminModuleBean;
import com.gree.mall.contest.bean.admin.AdminModuleVO;
import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.admin.AdminModuleLogic;
import com.gree.mall.contest.plus.entity.AdminModule;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@Tag(name = "系统菜单管理", description = "系统菜单管理" )
@RequestMapping(value = "/pc/admin/module", produces = "application/json; charset=utf-8")
@RequiredArgsConstructor
public class AdminModuleController {

    private final AdminModuleLogic adminModuleLogic;

    @GetMapping("/detail")
    @Operation(summary = "详情")
    public ResponseHelper<AdminModuleVO> detail(@RequestParam String moduleId){
        AdminModuleVO detail = adminModuleLogic.detail(moduleId);
        return ResponseHelper.success(detail);
    }

    @PostMapping("/add")
    @Operation(summary = "新增")
    public ResponseHelper add(@RequestBody AdminModuleBean adminModule){
        adminModuleLogic.add(adminModule);
        return ResponseHelper.success();
    }


    @PostMapping("/update")
    @Operation(summary = "修改")
    public ResponseHelper update(@RequestBody AdminModule adminModule){
        adminModuleLogic.update(adminModule);
        return ResponseHelper.success();
    }

    @PostMapping("/delete")
    @Operation(summary = "删除")
    public ResponseHelper delete(@RequestParam String id){
        adminModuleLogic.delete(id);
        return ResponseHelper.success();
    }



}
